%define module  logilab-common

Name:       python-%{module}
Summary:    Python modules used by Logilab software
Version:    1.0.2
Release:    4
Source0:    https://pypi.python.org/packages/source/l/%{module}/%{module}-%{version}.tar.gz
License:    GPLv2+
Group:      Development/Python
Url:        http://www.logilab.org/
BuildArch:  noarch
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-pytz
BuildRequires:  python-sphinx

%description
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

%package -n python3-%{module}
Summary:    Python modules used by Logilab software
BuildRequires:  python3-setuptools
#BuildRequires:  python3-six
#BuildRequires:  python3-pytz
#BuildRequires:  python3-sphinx

%description -n python3-%{module}
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

This is a version for Python 3.

%prep
%setup -q -n %{module}-%{version}

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
python setup.py build

# py3k build
pushd %{py3dir}
python3 setup.py build
popd

%check
python setup.py test
pushd %{py3dir}
#python3 setup.py test
popd

%install
# py3k install
pushd %{py3dir}
python3 setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{py3_puresitedir}/logilab/common/test
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
popd

# python2
python setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{py_puresitedir}/logilab/common/test

%files
%doc README COPYING ChangeLog
%{_bindir}/pytest
%{py_puresitedir}/logilab*

%files -n python3-%{module}
%doc README COPYING ChangeLog
%{_bindir}/python3-pytest
%{py3_puresitedir}/logilab*

%changelog

* Mon Jul 03 2017 Nemial <negry.m@yandex.ru> 1.0.2-4
- (dfeeb33) Release Up


